Get Products
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"type": null,
"ids": null,
"paths": null,
"name": null,
"variant_name": null,
"visibilities": null,
"group_ids": null,
"group_null": null,
"badge_text": null,
"status_text": null,
"deliverable": null,
"deliverables_type": null,
"all": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/products"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"type": None,
"ids": None,
"paths": None,
"name": None,
"variant_name": None,
"visibilities": None,
"group_ids": None,
"group_null": None,
"badge_text": None,
"status_text": None,
"deliverable": None,
"deliverables_type": None,
"all": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
type: null,
ids: null,
paths: null,
name: null,
variant_name: null,
visibilities: null,
group_ids: null,
group_null: null,
badge_text: null,
status_text: null,
deliverable: null,
deliverables_type: null,
all: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"metadata": null,
"feedback_coupon_config": null,
"salt": "a621b67ad1cab",
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"name": "License Keys",
"path": null,
"description": "Instant delivery of software license keys.",
"meta_title": null,
"meta_description": null,
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"price": "14.99",
"price_slash": null,
"currency": "USD",
"tax_inclusive": true,
"payment_methods": null,
"deliverables": null,
"deliverables_type": "serials",
"requires_fulfillment": false,
"serial_selection_method": null,
"dynamic_url": null,
"stock": null,
"group_id": 1,
"category_id": 1,
"shop_id": 1,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": 0,
"type": "variant",
"instructions": null,
"out_of_stock_message": null,
"thank_you_message": null,
"custom_fields_after_payment": false,
"sort_priority": 0,
"group_sort_priority": 0,
"dashboard_order": null,
"visibility": "public",
"cloudflare_image_id": null,
"deleted_at": null,
"terminated_at": null,
"quantity_min": null,
"quantity_max": null,
"discord_required": false,
"required_discord_guild_id": null,
"required_discord_role_id": null,
"discord_guild_id": null,
"discord_role_id": null,
"block_vpn": 0,
"hide_stock_count": false,
"status_color": null,
"status_text": null,
"products_sold": 0,
"show_views_count": false,
"show_sales_count": false,
"show_sales_notifications": false,
"sales_count_hours": null,
"deliverables_label": null,
"affiliate_percentage": null,
"is_mandatory": false,
"reseller_enabled": 1,
"reseller_disable_volume_discount": 0,
"cashback_percentage": null,
"payment_method_fee_overrides": null,
"stock_count": 3,
"group": {
"id": 1,
"metadata": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"name": "Keys & Serials",
"shop_id": 1,
"category_id": 1,
"image_id": null,
"sort_priority": 0,
"visibility": "public",
"deleted_at": null,
"badge_color": null,
"badge_text": null
},
"category": {
"id": 1,
"metadata": null,
"shop_id": 1,
"parent_id": null,
"name": "Digital Goods",
"path": "digital-goods",
"description": null,
"image_id": null,
"meta_title": null,
"meta_description": null,
"color": null,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null
},
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"shop_id": 1,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
],
"variants": [
{
"id": 1,
"product_id": 1,
"name": "Standard",
"description": null,
"price": "14.99",
"price_slash": null,
"cost": "4.50",
"quantity_min": null,
"quantity_max": null,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": false,
"serial_selection_method": "random",
"dynamic_url": null,
"redirect_url": null,
"stock": 3,
"instructions": null,
"disabled_payment_method_ids": null,
"order": 0,
"subscription_mode": "disabled",
"recurring_price": null,
"recurring_interval": null,
"recurring_interval_count": 1,
"recurring_trial_days": 0,
"renewal_delivery": "redeliver",
"reseller_connection_id": null,
"supplier_variant_id": null,
"reseller_sync_stock": false
}
]
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/products?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/products?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/products?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/products",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Products
Get Products
Retreives the products.
GET
/
v1
/
shops
/
{shopId}
/
products
Get Products
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Page number.
Example:
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Available options:
id, name, price, stock, products_sold, dashboard_order Example:
null
Available options:
asc, desc Example:
null
Available options:
variant, addon Example:
null
Filter by product IDs.
Example:
null
Filter by product paths.
Example:
null
Filter by product name.
Example:
null
Filter by variant name.
Example:
null
Example:
null
Filter by group IDs.
Example:
null
Only products without a group.
Example:
null
Example:
null
Example:
null
Filter by deliverable content.
Example:
null
Example:
null
Include all relation data (variants, badges, tabs, custom fields, addons, upsells).
Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"metadata": null,
"feedback_coupon_config": null,
"salt": "a621b67ad1cab",
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"name": "License Keys",
"path": null,
"description": "Instant delivery of software license keys.",
"meta_title": null,
"meta_description": null,
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"price": "14.99",
"price_slash": null,
"currency": "USD",
"tax_inclusive": true,
"payment_methods": null,
"deliverables": null,
"deliverables_type": "serials",
"requires_fulfillment": false,
"serial_selection_method": null,
"dynamic_url": null,
"stock": null,
"group_id": 1,
"category_id": 1,
"shop_id": 1,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": 0,
"type": "variant",
"instructions": null,
"out_of_stock_message": null,
"thank_you_message": null,
"custom_fields_after_payment": false,
"sort_priority": 0,
"group_sort_priority": 0,
"dashboard_order": null,
"visibility": "public",
"cloudflare_image_id": null,
"deleted_at": null,
"terminated_at": null,
"quantity_min": null,
"quantity_max": null,
"discord_required": false,
"required_discord_guild_id": null,
"required_discord_role_id": null,
"discord_guild_id": null,
"discord_role_id": null,
"block_vpn": 0,
"hide_stock_count": false,
"status_color": null,
"status_text": null,
"products_sold": 0,
"show_views_count": false,
"show_sales_count": false,
"show_sales_notifications": false,
"sales_count_hours": null,
"deliverables_label": null,
"affiliate_percentage": null,
"is_mandatory": false,
"reseller_enabled": 1,
"reseller_disable_volume_discount": 0,
"cashback_percentage": null,
"payment_method_fee_overrides": null,
"stock_count": 3,
"group": {
"id": 1,
"metadata": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"name": "Keys & Serials",
"shop_id": 1,
"category_id": 1,
"image_id": null,
"sort_priority": 0,
"visibility": "public",
"deleted_at": null,
"badge_color": null,
"badge_text": null
},
"category": {
"id": 1,
"metadata": null,
"shop_id": 1,
"parent_id": null,
"name": "Digital Goods",
"path": "digital-goods",
"description": null,
"image_id": null,
"meta_title": null,
"meta_description": null,
"color": null,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null
},
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"shop_id": 1,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
],
"variants": [
{
"id": 1,
"product_id": 1,
"name": "Standard",
"description": null,
"price": "14.99",
"price_slash": null,
"cost": "4.50",
"quantity_min": null,
"quantity_max": null,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": false,
"serial_selection_method": "random",
"dynamic_url": null,
"redirect_url": null,
"stock": 3,
"instructions": null,
"disabled_payment_method_ids": null,
"order": 0,
"subscription_mode": "disabled",
"recurring_price": null,
"recurring_interval": null,
"recurring_interval_count": 1,
"recurring_trial_days": 0,
"renewal_delivery": "redeliver",
"reseller_connection_id": null,
"supplier_variant_id": null,
"reseller_sync_stock": false
}
]
}
]
Example:
"http://api.sellauth.test/v1/shops/1/products?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/products?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/products?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/products"
Example:
20
Example:
null
Example:
1
Example:
1